## kernel-image-2.4.18-i386bf 2.4.18-5

=== debian/changelog ===
kernel-image-2.4.18-i386bf (2.4.18-5) unstable; urgency=low

  * compiled against kernel-source-2.4.18 (2.4.18-5)
  * removed my patches that has been adopted in Herbert's source
  * reenabled local-APIC support. Some people need it, others with suffering
    machines can specify the noapic option.

 -- Eduard Bloch <blade@debian.org>  Sun, 14 Apr 2002 08:47:42 +0200

kernel-image-2.4.18-i386bf (2.4.18-4) unstable; urgency=medium

  * New patches:
    - PLIP bugfix, extracted from 2.4.19-pre
    - Decoding root=*ataraid* correctly
    - "keytimer" option to skip the keypress on floppy change
  * Dropped non-installation-essential stuff to make space:
    - exotic joysticks
    - exotic radio cards
    - exotic USB devices
  * New, modules:
    - via rhine
    - 3com Boomerang
    - non-standard serial support (N_HDLC...)
  * New, built-in:
    - i2o-scsi

 -- Eduard Bloch <blade@debian.org>  Wed, 27 Mar 2002 22:32:36 +0100

kernel-image-2.4.18-i386bf (2.4.18-3) unstable; urgency=high

  * compiled against kernel-source-2.4.18 (2.4.18-3), really fixes the zlib bug
  * applied my patch to recognise ATARAIDs as root devices

 -- Eduard Bloch <blade@debian.org>  Sat, 23 Mar 2002 18:18:39 +0100

kernel-image-2.4.18-i386bf (2.4.18-2) unstable; urgency=high

  * compiled against kernel-source-2.4.18 (2.4.18-3), fixes the zlib bug
  * compiled eepro100 as module due to a new size problem on BFs
  * removed local APIC support, broke on DELL laptops

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Mar 2002 20:38:13 +0100

kernel-image-2.4.18-i386bf (2.4.18-1) unstable; urgency=medium

  * new upstream release
  * kernel is larger now, SCSI verbosity and exotic UDMA drivers had to go
  * no more usage of ext3 errata patch

 -- Eduard Bloch <blade@debian.org>  Tue,  5 Mar 2002 07:17:12 +0100

kernel-image-2.4.17-i386bf (2.4.17-4) unstable; urgency=medium

  * removed forgotten dependency on initrd-tools
  * nfs driver built-in, USB completely modularized now
  * RAID and LVM modules, maybe quite usefull for installs on LVM volumes
  * added drivers for CISS and DAC960 harddisk arrays

 -- Eduard Bloch <blade@debian.org>  Sat, 16 Feb 2002 00:32:18 +0100

kernel-image-2.4.17-i386bf (2.4.17-3) unstable; urgency=medium

  * recompiled with pure gcc-2.95, fixes pcmcia incompatibilites
  * all USB stuff is modularised now. There was too much trouble and
    hocus-pocus on trying to make it work as built-in driver. Since kernel 2.4
    seems not to reset the legacy keyboard emulation, this problem is SEP
  * more Ethernet drivers built-in

 -- Eduard Bloch <blade@debian.org>  Sat,  2 Feb 2002 22:10:10 +0100

kernel-image-2.4.17-i386bf (2.4.17-2) unstable; urgency=medium

  * Cleanup
  * applying recent ext3 bugfix patch from kernel-patch-ext3-2.4 package
  * disabled IDEDMA/MULTIWORD on boot, to dangerous for installation kernel
  * isapnp is module now, ide-floppy built-in
  * cramfs built-in, reduces frustration on upgrading from Xu's kernels
  * dropped SMP (confused APM), MTD support, no realmode poweroff
  * enabled more multimedia devices instead

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Jan 2002 01:23:07 +0100

kernel-image-2.4.17-i386bf (2.4.17-1) unstable; urgency=low

  * Initial release
  * Configured to be a mostly statically linked kernel image for boot floppies
  * Tried to enabled essential drivers which are new in 2.4 generation
  * Because of space reasons dropped support for:
    - old, seldom SCSI cards
    - MCA/ESDI/XT hardware
  * Enabled new drivers for IDE controllers and chipsets, including DMA and
    multi-word by default

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Jan 2002 09:57:55 +0100
