=== debian/control ===
Source: kernel-image-2.4.18-i386bf
Section: devel
Priority: optional
Maintainer:  Eduard Bloch <blade@debian.org>
Standards-Version: 3.5.6
Build-Depends: debhelper, modutils, kernel-source-2.4.18 (>= 2.4.18-5), kernel-package (>= 7.37)

Package: kernel-headers-2.4.18-bf2.4
Architecture: i386
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Headers for Linux kernel version 2.4.18 (bf variant) on 386
 This package provides kernel header files for version 2.4.18 on 386,
 for sites that want the latest kernel headers.  Please read
 /usr/share/doc/kernel-headers-2.4.18-386/debian.README.gz for details
 .
 NOTE: This package accompanies the kernel-image-2.4.18-bf2.4 package,
 which is intended to be used for the initial installation. You may
 want to upgrade to a similar kernel-image package compiled for your
 CPU type and its accompanying kerhel-headers package.

Package: kernel-image-2.4.18-bf2.4
Architecture: i386
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: lilo (>= 19.1),  fdutils, kernel-doc-2.4.18
Description: Linux kernel image for version 2.4.18 (bf variant) on 386.
 This package contains the Linux kernel image for version 2.4.18 on 386, the
 corresponding System.map file, and the modules built by the packager.  It also
 contains scripts that try to ensure that the system is not left in a
 unbootable state after an update.
 .
 NOTE: This package is primarily intended to be used as the initial
 installation kernel. You may go fine with it but if you need
 additional drivers or optimisation for your CPU type, please look at
 the other kernel-image-2.4.18-* packages.
 .
 If you wish to update a bootdisk, or to use a bootloader to make
 installing and using the image easier, we suggest you install the latest
 fdutils (for formatting a floppy to be used as boot disk), and LILO, for a
 powerful bootloader. Of course, both these are optional. 
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
