## kernel-image-2.4.18-i386bf 2.4.18-6

=== debian/changelog ===
kernel-image-2.4.18-i386bf (2.4.18-6) unstable; urgency=low

  * New maintainer

 -- John H. Robinson, IV <jaqque@debian.org>  Sat, 18 May 2002 01:30:17 -0700
