=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kernel-image-2.4.18-i386bf
 Section: devel
 Priority: optional
-Maintainer:  Eduard Bloch <blade@debian.org>
+Maintainer: John H. Robinson, IV <jaqque@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: debhelper, modutils, kernel-source-2.4.18 (>= 2.4.18-14.3), kernel-package (>= 7.37)
+Build-Depends: debhelper, modutils, kernel-source-2.4.18 (>= 2.4.18-5), kernel-package (>= 7.37)
 
 Package: kernel-headers-2.4.18-bf2.4
 Architecture: i386
